Index: /CMT/HEAD/ChangeLog
===================================================================
--- /CMT/HEAD/ChangeLog	(revision 440)
+++ /CMT/HEAD/ChangeLog	(revision 441)
@@ -1,2 +1,40 @@
+2008-02-15    <rybkin@lal.in2p3.fr> 345
+	
+	* src/Makefile.core: Control the verbosity of Make by defining one of
+	the Make variables with the following effect:
+	QUIET - print CMT messages (default)
+	VERBOSE - print CMT messages and echo Make commands
+	ECHO - echo Make commands
+	SILENT - no CMT messages or Make commands echoing
+	Control the prefix of the CMT messages via the Make variable CMTMSGHDR
+	(default value: #CMT--->)
+	* src/Makefile.header: idem
+	* mgr/fragments/constituents_header: idem
+	* mgr/fragments/group: idem
+	* mgr/fragments/constituent: idem
+	* mgr/fragments/constituent_lock: idem
+	* mgr/fragments/constituents_trailer: idem
+	* mgr/fragments/make_header: idem
+	* mgr/fragments/application_header: idem
+	* mgr/fragments/application: idem
+	* mgr/fragments/application_launcher: idem
+	* mgr/fragments/library_header: idem
+	* mgr/fragments/library: idem
+	* mgr/fragments/library_no_share: idem
+	* mgr/fragments/dependencies: idem
+	* mgr/fragments/c: idem
+	* mgr/fragments/c_library: idem
+	* mgr/fragments/cpp: idem
+	* mgr/fragments/cpp_library: idem
+	* mgr/fragments/fortran: idem
+	* mgr/fragments/fortran_library: idem
+	* mgr/fragments/java_header: idem
+	* mgr/fragments/jar: idem
+	* mgr/fragments/cleanup_application: idem
+	* mgr/fragments/installer: idem
+	* mgr/cmt_make_shlib.sh: idem
+	* mgr/cmt_install_action.sh: idem
+	* mgr/cmt_uninstall_action.sh: idem
+	
 2008-02-09    <rybkin@lal.in2p3.fr> 344
 
Index: /CMT/HEAD/mgr/cmt_install_action.sh
===================================================================
--- /CMT/HEAD/mgr/cmt_install_action.sh	(revision 440)
+++ /CMT/HEAD/mgr/cmt_install_action.sh	(revision 441)
@@ -26,4 +26,5 @@
 # 5   cmtpath of the package
 #------------------------------------------------------------------------------
+: ${CMTMSGHDR:=$0:}
 
 source_dir=""
@@ -134,5 +135,5 @@
 fi
 
-echo "Installing file ${file_name} into ${install_dir}"
+echo "${CMTMSGHDR}" "Installing file ${file_name} into ${install_dir}"
 if test -L ${dest_file_path} -o -f ${dest_file_path}; then
     /bin/rm -f ${dest_file_path}
Index: /CMT/HEAD/mgr/cmt_make_shlib.sh
===================================================================
--- /CMT/HEAD/mgr/cmt_make_shlib.sh	(revision 440)
+++ /CMT/HEAD/mgr/cmt_make_shlib.sh	(revision 441)
@@ -2,4 +2,5 @@
 
 #set -x
+: ${CMTMSGHDR:=$0:}
 
 lib=$1
@@ -35,5 +36,5 @@
 
 if test `uname` = "Linux" ; then
-  echo "BUILDING SHARED LIBRARY ${lib}"
+  echo "${CMTMSGHDR}" "BUILDING SHARED LIBRARY ${lib}"
 # ATTEMPT 2: temp for sharedlin force
 #   cp lib${lib}.a lib${lib}.so
Index: /CMT/HEAD/mgr/cmt_uninstall_action.sh
===================================================================
--- /CMT/HEAD/mgr/cmt_uninstall_action.sh	(revision 440)
+++ /CMT/HEAD/mgr/cmt_uninstall_action.sh	(revision 441)
@@ -23,4 +23,5 @@
 # 4   cmtpath of the package
 #------------------------------------------------------------------------------
+: ${CMTMSGHDR:=$0:}
 
 source_dir=""
@@ -122,8 +123,8 @@
 
 if test -d ${dest_file_path}; then
-  echo Removing directory ${file_name} from ${install_dir}
+  echo "${CMTMSGHDR}" Removing directory ${file_name} from ${install_dir}
   /bin/rm -rf ${dest_file_path}
 elif test -f ${dest_file_path}; then
-  echo Removing file ${file_name} from ${install_dir}
+  echo "${CMTMSGHDR}" Removing file ${file_name} from ${install_dir}
   /bin/rm -f ${dest_file_path}
 fi
Index: /CMT/HEAD/mgr/fragments/application
===================================================================
--- /CMT/HEAD/mgr/fragments/application	(revision 440)
+++ /CMT/HEAD/mgr/fragments/application	(revision 441)
@@ -2,5 +2,5 @@
 
 $(bin)${CONSTITUENT}${application_suffix} :: ${OBJS} $(use_stamps) $(${CONSTITUENT}stamps) requirements $(use_requirements)
-	$(link_echo) $@
+	$(link_echo) "application $@"
 	$(link_silent) cd $(bin); ${LINKMACRO} -o ${CONSTITUENT}.exe.new ${OBJS} $(use_linkopts) $(${CONSTITUENT}linkopts); mv -f ${CONSTITUENT}.exe.new ${CONSTITUENT}${application_suffix}
 
@@ -19,17 +19,17 @@
 
 ${CONSTITUENT}install :: $(install_dir)/$(${CONSTITUENT}installname)
-	@if test ! "${CMTINSTALLAREA}" = ""; then\
-	  echo "installation done"; \
-	fi
+ifdef CMTINSTALLAREA
+	$(echo) "installation done"
+endif
 
 $(install_dir)/$(${CONSTITUENT}installname) :: $(bin)$(${CONSTITUENT}installname)
-	@if test ! "${CMTINSTALLAREA}" = ""; then \
-	  $(cmt_install_action) \
+ifdef CMTINSTALLAREA
+	$(install_silent) $(cmt_install_action) \
 	    -source "`(cd $(bin); pwd)`" \
 	    -name "$(${CONSTITUENT}installname)" \
 	    -out "$(install_dir)" \
 	    -cmd "$(cmt_installarea_command)" \
-	    -cmtpath "$($(package)_cmtpath)"; \
-	fi
+	    -cmtpath "$($(package)_cmtpath)"
+endif
 
 ##${CONSTITUENT}clean :: ${CONSTITUENT}uninstall
@@ -38,12 +38,12 @@
 
 ${CONSTITUENT}uninstall ::
-	@echo "------> (${CONSTITUENT}.make) Removing installed files"
-	@if test ! "${CMTINSTALLAREA}" = ""; then \
-	  $(cmt_uninstall_action) \
+ifdef CMTINSTALLAREA
+	$(cleanup_silent) $(cmt_uninstall_action) \
 	    -source "`(cd $(bin); pwd)`" \
 	    -name "$(${CONSTITUENT}installname)" \
 	    -out "$(install_dir)" \
-	    -cmtpath "$($(package)_cmtpath)"; \
-	fi
+	    -cmtpath "$($(package)_cmtpath)"
+endif
 
+#	@echo "------> (${CONSTITUENT}.make) Removing installed files"
 #-- end of application
Index: /CMT/HEAD/mgr/fragments/application_header
===================================================================
--- /CMT/HEAD/mgr/fragments/application_header	(revision 440)
+++ /CMT/HEAD/mgr/fragments/application_header	(revision 441)
@@ -2,5 +2,5 @@
 
 ${CONSTITUENT} :: dirs ${PROTOTARGET} $(bin)${CONSTITUENT}${application_suffix}
-	@/bin/echo "------> ${CONSTITUENT} ok"
+	$(echo) "${CONSTITUENT} ok"
 
 #-- end of application_header
Index: /CMT/HEAD/mgr/fragments/application_launcher
===================================================================
--- /CMT/HEAD/mgr/fragments/application_launcher	(revision 440)
+++ /CMT/HEAD/mgr/fragments/application_launcher	(revision 441)
@@ -2,5 +2,5 @@
 
 ${CONSTITUENT} ::
-	cd $(bin); \
+	$(silent) cd $(bin); \
 	  ${${CONSTITUENT}_pre_check}; \
 	  ${FULLNAME} ${${CONSTITUENT}_check_args}; \
Index: /CMT/HEAD/mgr/fragments/c
===================================================================
--- /CMT/HEAD/mgr/fragments/c	(revision 440)
+++ /CMT/HEAD/mgr/fragments/c	(revision 441)
@@ -4,5 +4,5 @@
 
 $(bin)${NAME}${CONSTITUENTSUFFIX}.o : $(${NAME}_${FILESUFFIX}_dependencies)
-	$(c_echo) $@
+	$(c_echo) $<
 	$(c_silent) cd $(bin); $(ccomp) -o ${NAME}${CONSTITUENTSUFFIX}.o $(use_pp_cflags) $(${CONSTITUENT}_pp_cflags) $(app_${CONSTITUENT}_pp_cflags) $(${NAME}_pp_cflags) $(use_cflags) $(${CONSTITUENT}_cflags) $(app_${CONSTITUENT}_cflags) $(${NAME}_cflags) $(${NAME}_${FILESUFFIX}_cflags) ${ADDINCLUDE} ${FULLNAME}
 
Index: /CMT/HEAD/mgr/fragments/c_library
===================================================================
--- /CMT/HEAD/mgr/fragments/c_library	(revision 440)
+++ /CMT/HEAD/mgr/fragments/c_library	(revision 441)
@@ -4,5 +4,5 @@
 
 $(bin)$(binobj)${NAME}${CONSTITUENTSUFFIX}.o : $(${NAME}_${FILESUFFIX}_dependencies)
-	$(c_echo) $@
+	$(c_echo) $<
 	$(c_silent) cd $(bin); $(ccomp) -o $(binobj)${NAME}${CONSTITUENTSUFFIX}.o $(use_pp_cflags) $(${CONSTITUENT}_pp_cflags) $(lib_${CONSTITUENT}_pp_cflags) $(${NAME}_pp_cflags) $(use_cflags) $(${CONSTITUENT}_cflags) $(lib_${CONSTITUENT}_cflags) $(${NAME}_cflags) $(${NAME}_${FILESUFFIX}_cflags) ${ADDINCLUDE} ${FULLNAME}
 
Index: /CMT/HEAD/mgr/fragments/cleanup_application
===================================================================
--- /CMT/HEAD/mgr/fragments/cleanup_application	(revision 440)
+++ /CMT/HEAD/mgr/fragments/cleanup_application	(revision 441)
@@ -1,5 +1,6 @@
 #-- start of cleanup_application ------
-	@echo "------> (${CONSTITUENT}.make) Removing application files"
-	-$(cleanup_echo) ${CONSTITUENT}${application_suffix}
-	-@cd $(bin); /bin/rm -f ${CONSTITUENT}${application_suffix}
+	$(cleanup_echo) ${CONSTITUENT}${application_suffix}
+	-$(cleanup_silent) cd $(bin); /bin/rm -f ${CONSTITUENT}${application_suffix}
+
+#	@echo "------> (${CONSTITUENT}.make) Removing application files"
 #-- end of cleanup_application ------
Index: /CMT/HEAD/mgr/fragments/constituent
===================================================================
--- /CMT/HEAD/mgr/fragments/constituent	(revision 440)
+++ /CMT/HEAD/mgr/fragments/constituent	(revision 441)
@@ -26,10 +26,10 @@
 $(cmt_local_tagfile_${CONSTITUENT}) :
 endif
-	@/bin/echo "------> (constituents.make) Rebuilding setup.make $(cmt_local_tagfile_${CONSTITUENT})"
+	$(echo) "(constituents.make) Rebuilding setup.make $(cmt_local_tagfile_${CONSTITUENT})"
 	@if test -f $(cmt_local_tagfile_${CONSTITUENT}); then /bin/rm -f $(cmt_local_tagfile_${CONSTITUENT}); fi ; \
 	  $(cmtexe) -quiet -tag=$(tags) $(${CONSTITUENT}_extratags) build tag_makefile >>$(cmt_local_tagfile_${CONSTITUENT}); \
 	  if test -f $(cmt_final_setup_${CONSTITUENT}); then /bin/rm -f $(cmt_final_setup_${CONSTITUENT}); fi; \
 	  $(cmtexe) -quiet -tag=$(tags) $(${CONSTITUENT}_extratags) show setup >>$(cmt_final_setup_${CONSTITUENT})
-	@/bin/echo setup.make ok
+	$(echo) setup.make ok
 
 else
@@ -53,17 +53,17 @@
 $(cmt_local_${CONSTITUENT}_makefile) :: $(cmt_local_tagfile_${CONSTITUENT})
 endif
-	@echo "------> (constituents.make) Building ${CONSTITUENT}.make"; \
+	$(echo) "(constituents.make) Building ${CONSTITUENT}.make"; \
 	  $(cmtexe) -quiet -tag=$(tags) $(${CONSTITUENT}_extratags) build constituent_makefile -out=$(cmt_local_${CONSTITUENT}_makefile) ${CONSTITUENT}
 
 ${CONSTITUENT} :: $(${CONSTITUENT}_dependencies) $(cmt_local_${CONSTITUENT}_makefile)
-	@echo "------> (constituents.make) Starting ${CONSTITUENT}"
+	$(echo) "(constituents.make) Starting ${CONSTITUENT}"
 	@$(MAKE) -f $(cmt_local_${CONSTITUENT}_makefile) cmt_lock_pid=$${cmt_lock_pid} ${CONSTITUENT}
-	@echo "------> (constituents.make) ${CONSTITUENT} done"
+	$(echo) "(constituents.make) ${CONSTITUENT} done"
 
 clean :: ${CONSTITUENT}clean
 
 ${CONSTITUENT}clean :: $(${CONSTITUENT}clean_dependencies) ##$(cmt_local_${CONSTITUENT}_makefile)
+	$(echo) "(constituents.make) Starting ${CONSTITUENT}clean"
 	@-if test -f $(cmt_local_${CONSTITUENT}_makefile); then \
-	  echo "------> (constituents.make) Starting ${CONSTITUENT}clean"; \
 	  $(MAKE) -f $(cmt_local_${CONSTITUENT}_makefile) cmt_lock_pid=$${cmt_lock_pid} ${CONSTITUENT}clean; \
 	fi
@@ -74,20 +74,20 @@
 
 ${CONSTITUENT}install :: $(${CONSTITUENT}_dependencies) $(cmt_local_${CONSTITUENT}_makefile)
-	@echo "------> (constituents.make) Starting install ${CONSTITUENT}"
+	$(echo) "(constituents.make) Starting install ${CONSTITUENT}"
 	@-$(MAKE) -f $(cmt_local_${CONSTITUENT}_makefile) cmt_lock_pid=$${cmt_lock_pid} install
-	@echo "------> (constituents.make) install ${CONSTITUENT} done"
+	$(echo) "(constituents.make) install ${CONSTITUENT} done"
 
 uninstall :: ${CONSTITUENT}uninstall
 
 ${CONSTITUENT}uninstall :: $(cmt_local_${CONSTITUENT}_makefile)
-	@echo "------> (constituents.make) Starting uninstall ${CONSTITUENT}"
+	$(echo) "(constituents.make) Starting uninstall ${CONSTITUENT}"
 	@-$(MAKE) -f $(cmt_local_${CONSTITUENT}_makefile) cmt_lock_pid=$${cmt_lock_pid} uninstall
-	@echo "------> (constituents.make) uninstall ${CONSTITUENT} done"
+	$(echo) "(constituents.make) uninstall ${CONSTITUENT} done"
 
 ifndef PEDANTIC
 .DEFAULT::
-	@echo "------> (constituents.make) Starting $@ ${CONSTITUENT}"
-	@echo Using default action for $@
-	@echo "------> (constituents.make) $@ ${CONSTITUENT} done"
+	$(echo) "(constituents.make) Starting $@ ${CONSTITUENT}"
+	$(echo) Using default action for $@
+	$(echo) "(constituents.make) $@ ${CONSTITUENT} done"
 endif
 
Index: /CMT/HEAD/mgr/fragments/constituent_lock
===================================================================
--- /CMT/HEAD/mgr/fragments/constituent_lock	(revision 440)
+++ /CMT/HEAD/mgr/fragments/constituent_lock	(revision 441)
@@ -26,10 +26,10 @@
 $(cmt_local_tagfile_${CONSTITUENT}) :
 endif
-	@/bin/echo "------> (constituents.make) Rebuilding setup.make $(cmt_local_tagfile_${CONSTITUENT})"
+	$(echo) "(constituents.make) Rebuilding setup.make $(cmt_local_tagfile_${CONSTITUENT})"
 	@if test -f $(cmt_local_tagfile_${CONSTITUENT}); then /bin/rm -f $(cmt_local_tagfile_${CONSTITUENT}); fi ; \
 	  $(cmtexe) -quiet -tag=$(tags) $(${CONSTITUENT}_extratags) build tag_makefile >>$(cmt_local_tagfile_${CONSTITUENT}); \
 	  if test -f $(cmt_final_setup_${CONSTITUENT}); then /bin/rm -f $(cmt_final_setup_${CONSTITUENT}); fi; \
 	  $(cmtexe) -quiet -tag=$(tags) $(${CONSTITUENT}_extratags) show setup >>$(cmt_final_setup_${CONSTITUENT})
-	@/bin/echo setup.make ok
+	$(echo) setup.make ok
 
 else
@@ -53,20 +53,20 @@
 $(cmt_local_${CONSTITUENT}_makefile) :: $(cmt_local_tagfile_${CONSTITUENT})
 endif
-	@echo "------> (constituents.make) Building ${CONSTITUENT}.make"; \
+	$(echo) "(constituents.make) Building ${CONSTITUENT}.make"; \
 	  $(cmtexe) -quiet -tag=$(tags) $(${CONSTITUENT}_extratags) build constituent_makefile -out=$(cmt_local_${CONSTITUENT}_makefile) ${CONSTITUENT}
 
 ${CONSTITUENT} :: $(${CONSTITUENT}_dependencies) $(cmt_local_${CONSTITUENT}_makefile)
-	@echo "------> (constituents.make) Creating ${CONSTITUENT}${lock_suffix}"
+	$(echo) "(constituents.make) Creating ${CONSTITUENT}${lock_suffix}"
 	@${lock_command} ${CONSTITUENT}${lock_suffix}
-	@echo "------> (constituents.make) Starting ${CONSTITUENT}"
+	$(echo) "(constituents.make) Starting ${CONSTITUENT}"
 	@$(MAKE) -f $(cmt_local_${CONSTITUENT}_makefile) cmt_lock_pid=$${cmt_lock_pid} ${CONSTITUENT}; \
 	retval=$$?; ${unlock_command} ${CONSTITUENT}${lock_suffix}; exit $${retval}
-	@echo "------> (constituents.make) ${CONSTITUENT} done"
+	$(echo) "(constituents.make) ${CONSTITUENT} done"
 
 clean :: ${CONSTITUENT}clean
 
 ${CONSTITUENT}clean :: $(${CONSTITUENT}clean_dependencies) ##$(cmt_local_${CONSTITUENT}_makefile)
+	$(echo) "(constituents.make) Starting ${CONSTITUENT}clean"
 	@-if test -f $(cmt_local_${CONSTITUENT}_makefile); then \
-	  echo "------> (constituents.make) Starting ${CONSTITUENT}clean"; \
 	  $(MAKE) -f $(cmt_local_${CONSTITUENT}_makefile) cmt_lock_pid=$${cmt_lock_pid} ${CONSTITUENT}clean; \
 	fi
@@ -77,20 +77,20 @@
 
 ${CONSTITUENT}install :: $(${CONSTITUENT}_dependencies) $(cmt_local_${CONSTITUENT}_makefile)
-	@echo "------> (constituents.make) Starting install ${CONSTITUENT}"
+	$(echo) "(constituents.make) Starting install ${CONSTITUENT}"
 	@-$(MAKE) -f $(cmt_local_${CONSTITUENT}_makefile) cmt_lock_pid=$${cmt_lock_pid} install
-	@echo "------> (constituents.make) install ${CONSTITUENT} done"
+	$(echo) "(constituents.make) install ${CONSTITUENT} done"
 
 uninstall :: ${CONSTITUENT}uninstall
 
 ${CONSTITUENT}uninstall :: $(cmt_local_${CONSTITUENT}_makefile)
-	@echo "------> (constituents.make) Starting uninstall ${CONSTITUENT}"
+	$(echo) "(constituents.make) Starting uninstall ${CONSTITUENT}"
 	@-$(MAKE) -f $(cmt_local_${CONSTITUENT}_makefile) cmt_lock_pid=$${cmt_lock_pid} uninstall
-	@echo "------> (constituents.make) uninstall ${CONSTITUENT} done"
+	$(echo) "(constituents.make) uninstall ${CONSTITUENT} done"
 
 ifndef PEDANTIC
 .DEFAULT::
-	@echo "------> (constituents.make) Starting $@ ${CONSTITUENT}"
-	@echo Using default action for $@
-	@echo "------> (constituents.make) $@ ${CONSTITUENT} done"
+	$(echo) "(constituents.make) Starting $@ ${CONSTITUENT}"
+	$(echo) Using default action for $@
+	$(echo) "(constituents.make) $@ ${CONSTITUENT} done"
 endif
 
Index: /CMT/HEAD/mgr/fragments/constituents_header
===================================================================
--- /CMT/HEAD/mgr/fragments/constituents_header	(revision 440)
+++ /CMT/HEAD/mgr/fragments/constituents_header	(revision 441)
@@ -56,5 +56,5 @@
 
 $(cmt_final_setup) : $(cmt_local_tagfile) 
-	@/bin/echo "------> (constituents.make) Rebuilding $@"
+	$(echo) "(constituents.make) Rebuilding $@"
 	@if test ! -d $(@D); then $(mkdir) -p $(@D); fi; \
 	  if test -f $(cmt_local_setup); then /bin/rm -f $(cmt_local_setup); fi; \
@@ -65,10 +65,11 @@
 	  else \
 	    if /usr/bin/diff $(cmt_local_setup) $@ >/dev/null ; then \
-	      echo "$@ untouched"; \
+	      : ; \
 	    else \
 	      mv $(cmt_local_setup) $@; \
 	    fi; \
 	  fi
-	@/bin/echo $@ ok   
+
+#	@/bin/echo $@ ok   
 
 config :: checkuses
@@ -81,5 +82,5 @@
 ifndef QUICK
 all :: build_library_links
-	@echo "------> (constituents.make) all done"
+	$(echo) "(constituents.make) all done"
 endif
 
@@ -95,5 +96,5 @@
 
 build_library_links : dirs requirements
-	@echo "------> (constituents.make) Rebuilding library links"; \
+	$(echo) "(constituents.make) Rebuilding library links"; \
 	if test ! -d $(bin) ; then $(mkdir) -p $(bin) ; fi; \
 	$(build_library_links)
Index: /CMT/HEAD/mgr/fragments/constituents_trailer
===================================================================
--- /CMT/HEAD/mgr/fragments/constituents_trailer	(revision 440)
+++ /CMT/HEAD/mgr/fragments/constituents_trailer	(revision 441)
@@ -4,6 +4,6 @@
 
 remove_library_links ::
-	@echo "Removing library links"; \
-	  $(remove_library_links); \
+	$(echo) "Removing library links"; \
+	  $(remove_library_links)
 
 makefilesclean ::
@@ -16,6 +16,6 @@
 
 binclean :: clean
+	$(echo) "Removing binary directory $(bin)"
 	@if test ! "$(bin)" = "./"; then \
-	  echo "Removing binary directory $(bin)"
 	  /bin/rm -rf $(bin); \
 	fi
Index: /CMT/HEAD/mgr/fragments/cpp
===================================================================
--- /CMT/HEAD/mgr/fragments/cpp	(revision 440)
+++ /CMT/HEAD/mgr/fragments/cpp	(revision 441)
@@ -4,5 +4,5 @@
 
 $(bin)$(binobj)${NAME}${CONSTITUENTSUFFIX}.o : $(${NAME}_${FILESUFFIX}_dependencies)
-	$(cpp_echo) $@
+	$(cpp_echo) $<
 	$(cpp_silent) cd $(bin); $(cppcomp) -o $(binobj)${NAME}${CONSTITUENTSUFFIX}.o $(use_pp_cppflags) $(${CONSTITUENT}_pp_cppflags) $(app_${CONSTITUENT}_pp_cppflags) $(${NAME}_pp_cppflags) $(use_cppflags) $(${CONSTITUENT}_cppflags) $(app_${CONSTITUENT}_cppflags) $(${NAME}_cppflags) $(${NAME}_${FILESUFFIX}_cppflags) ${ADDINCLUDE} ${FULLNAME}
 
Index: /CMT/HEAD/mgr/fragments/cpp_library
===================================================================
--- /CMT/HEAD/mgr/fragments/cpp_library	(revision 440)
+++ /CMT/HEAD/mgr/fragments/cpp_library	(revision 441)
@@ -4,5 +4,5 @@
 
 $(bin)$(binobj)${NAME}${CONSTITUENTSUFFIX}.o : $(${NAME}_${FILESUFFIX}_dependencies)
-	$(cpp_echo) $@
+	$(cpp_echo) $<
 	$(cpp_silent) cd $(bin); $(cppcomp) -o $(binobj)${NAME}${CONSTITUENTSUFFIX}.o $(use_pp_cppflags) $(${CONSTITUENT}_pp_cppflags) $(lib_${CONSTITUENT}_pp_cppflags) $(${NAME}_pp_cppflags) $(use_cppflags) $(${CONSTITUENT}_cppflags) $(lib_${CONSTITUENT}_cppflags) $(${NAME}_cppflags) $(${NAME}_${FILESUFFIX}_cppflags) ${ADDINCLUDE} ${FULLNAME}
 
Index: /CMT/HEAD/mgr/fragments/dependencies
===================================================================
--- /CMT/HEAD/mgr/fragments/dependencies	(revision 440)
+++ /CMT/HEAD/mgr/fragments/dependencies	(revision 441)
@@ -5,5 +5,5 @@
 ifndef QUICK
 $(bin)${CONSTITUENT}_dependencies.make : ${LINE} $(use_requirements) $(cmt_final_setup_${CONSTITUENT})
-	@echo "------> (${CONSTITUENT}.make) Rebuilding $@"; \
+	$(echo) "(${CONSTITUENT}.make) Rebuilding $@"; \
 	  $(build_dependencies) ${CONSTITUENT} -all_sources
 endif
Index: /CMT/HEAD/mgr/fragments/fortran
===================================================================
--- /CMT/HEAD/mgr/fragments/fortran	(revision 440)
+++ /CMT/HEAD/mgr/fragments/fortran	(revision 441)
@@ -4,5 +4,5 @@
  
 $(bin)${NAME}${CONSTITUENTSUFFIX}.o : $(${NAME}_${FILESUFFIX}_dependencies)
-	$(fortran_echo) $@
+	$(fortran_echo) $<
 	$(fortran_silent)cd $(bin); $(fcomp) -o ${NAME}${CONSTITUENTSUFFIX}.o $(use_pp_fflags) $(${CONSTITUENT}_pp_fflags) $(app_${CONSTITUENT}_pp_fflags) $(${NAME}_pp_fflags) $(use_fflags) $(${CONSTITUENT}_fflags) $(app_${CONSTITUENT}_fflags) $(${NAME}_fflags) $(${NAME}_${FILESUFFIX}_fflags) ${ADDINCLUDE} ${FULLNAME}
 
Index: /CMT/HEAD/mgr/fragments/fortran_library
===================================================================
--- /CMT/HEAD/mgr/fragments/fortran_library	(revision 440)
+++ /CMT/HEAD/mgr/fragments/fortran_library	(revision 441)
@@ -4,5 +4,5 @@
  
 $(bin)$(binobj)${NAME}${CONSTITUENTSUFFIX}.o : $(${NAME}_${FILESUFFIX}_dependencies)
-	$(fortran_echo) $@
+	$(fortran_echo) $<
 	$(fortran_silent)cd $(bin); $(fcomp) -o $(binobj)${NAME}${CONSTITUENTSUFFIX}.o $(use_pp_fflags) $(${CONSTITUENT}_pp_fflags) $(lib_${CONSTITUENT}_pp_fflags) $(${NAME}_pp_fflags) $(use_fflags) $(${CONSTITUENT}_fflags) $(lib_${CONSTITUENT}_fflags) $(${NAME}_fflags) $(${NAME}_${FILESUFFIX}_fflags) ${ADDINCLUDE} ${FULLNAME}
 
Index: /CMT/HEAD/mgr/fragments/group
===================================================================
--- /CMT/HEAD/mgr/fragments/group	(revision 440)
+++ /CMT/HEAD/mgr/fragments/group	(revision 441)
@@ -4,11 +4,16 @@
 
 ${GROUP} :: $(${GROUP}_dependencies)  $(${GROUP}_pre_constituents) $(${GROUP}_constituents)  $(${GROUP}_post_constituents)
-	@/bin/echo " ${GROUP} ok."
+	$(echo) "${GROUP} ok."
+
+#	@/bin/echo " ${GROUP} ok."
 
 clean :: allclean
 
 ${GROUP}clean ::  $(${GROUP}_constituentsclean)
-	@echo $(${GROUP}_constituentsclean)
-	@/bin/echo " ${GROUP}clean ok."
+	$(echo) $(${GROUP}_constituentsclean)
+	$(echo) "${GROUP}clean ok."
+
+#	@echo $(${GROUP}_constituentsclean)
+#	@/bin/echo " ${GROUP}clean ok."
 
 ${GROUP}clean :: makefilesclean
Index: /CMT/HEAD/mgr/fragments/installer
===================================================================
--- /CMT/HEAD/mgr/fragments/installer	(revision 440)
+++ /CMT/HEAD/mgr/fragments/installer	(revision 441)
@@ -4,9 +4,9 @@
 
 ${install_dir}/${NAME}${FILESUFFIX} : ${FULLNAME}
-	@if test ! -d "${install_dir}" ; then mkdir -p ${install_dir}; fi
-	${install_command} ${FULLNAME} ${install_dir}/${NAME}${FILESUFFIX}
+	$(install_silent) if test ! -d "${install_dir}" ; then mkdir -p ${install_dir}; fi
+	$(install_silent) ${install_command} ${FULLNAME} ${install_dir}/${NAME}${FILESUFFIX}
 
 ${CONSTITUENT}clean ::
-	${uninstall_command} ${install_dir}/${NAME}${FILESUFFIX}
+	$(cleanup_silent) ${uninstall_command} ${install_dir}/${NAME}${FILESUFFIX}
 
 #-- end of installer ------
Index: /CMT/HEAD/mgr/fragments/jar
===================================================================
--- /CMT/HEAD/mgr/fragments/jar	(revision 440)
+++ /CMT/HEAD/mgr/fragments/jar	(revision 441)
@@ -13,17 +13,17 @@
 
 ${CONSTITUENT}install :: $(install_dir)/$(${CONSTITUENT}installname)
-	@if test ! "${CMTINSTALLAREA}" = ""; then\
-	  echo "installation done"; \
-	fi
+ifdef CMTINSTALLAREA
+	$(echo) "installation done"
+endif
 
 $(install_dir)/$(${CONSTITUENT}installname) :: $(javabin)$(${CONSTITUENT}installname)
-	@if test ! "${CMTINSTALLAREA}" = ""; then \
-	  $(cmt_install_action) \
+ifdef CMTINSTALLAREA
+	$(install_silent) $(cmt_install_action) \
 	    -source "$(PACKAGE_ROOT)/classes" \
 	    -name "$(${CONSTITUENT}installname)" \
 	    -out "$(install_dir)" \
 	    -cmd "$(cmt_installarea_command)" \
-	    -cmtpath "$($(package)_cmtpath)" ; \
-	fi
+	    -cmtpath "$($(package)_cmtpath)"
+endif
 
 ##${CONSTITUENT}clean :: ${CONSTITUENT}uninstall
@@ -32,15 +32,15 @@
 
 ${CONSTITUENT}uninstall ::
-	@if test ! "${CMTINSTALLAREA}" = ""; then \
-	  $(cmt_uninstall_action) \
+ifdef CMTINSTALLAREA
+	$(cleanup_silent) $(cmt_uninstall_action) \
 	    -source "$(PACKAGE_ROOT)/classes" \
 	    -name "$(${CONSTITUENT}installname)" \
 	    -out "$(install_dir)" \
-	    -cmtpath "$($(package)_cmtpath)" ; \
-	fi
+	    -cmtpath "$($(package)_cmtpath)"
+endif
 
 ${CONSTITUENT}clean ::
-	/bin/rm -rf $(javabin)/${CONSTITUENT}
-	/bin/rm -f $(javabin)/${CONSTITUENT}.jar
+	$(cleanup_silent) /bin/rm -rf $(javabin)/${CONSTITUENT}
+	$(cleanup_silent) /bin/rm -f $(javabin)/${CONSTITUENT}.jar
 
 #-- end of jar ------
Index: /CMT/HEAD/mgr/fragments/java_header
===================================================================
--- /CMT/HEAD/mgr/fragments/java_header	(revision 440)
+++ /CMT/HEAD/mgr/fragments/java_header	(revision 441)
@@ -2,8 +2,8 @@
 
 ${CONSTITUENT}javadirs ::
-	@if test ! -d $(javabin)/${CONSTITUENT} ; then $(mkdir) -p $(javabin)${CONSTITUENT} ; fi
+	$(silent) if test ! -d $(javabin)/${CONSTITUENT} ; then $(mkdir) -p $(javabin)${CONSTITUENT} ; fi
 
 ${CONSTITUENT} :: ${CONSTITUENT}javadirs $(javabin)${CONSTITUENT}.jar
-	@/bin/echo "------> ${CONSTITUENT} ok"
+	$(echo) "${CONSTITUENT} ok"
 
 $(javabin)${CONSTITUENT}.jar :: ${OBJS}
@@ -21,17 +21,17 @@
 
 ${CONSTITUENT}install :: $(install_dir)/$(${CONSTITUENT}installname)
-	@if test ! "${CMTINSTALLAREA}" = ""; then\
-	  echo "installation done"; \
-	fi
+ifdef CMTINSTALLAREA
+	$(echo) "installation done"
+endif
 
 $(install_dir)/$(${CONSTITUENT}installname) :: $(javabin)$(${CONSTITUENT}installname)
-	@if test ! "${CMTINSTALLAREA}" = ""; then \
-	  $(cmt_install_action) \
+ifdef CMTINSTALLAREA
+	$(install_silent) $(cmt_install_action) \
 	    -source "$(PACKAGE_ROOT)/classes" \
 	    -name "$(${CONSTITUENT}installname)" \
 	    -out "$(install_dir)" \
 	    -cmd "$(cmt_installarea_command)" \
-	    -cmtpath "$($(package)_cmtpath)" ; \
-	fi
+	    -cmtpath "$($(package)_cmtpath)"
+endif
 
 ##${CONSTITUENT}clean :: ${CONSTITUENT}uninstall
@@ -40,15 +40,15 @@
 
 ${CONSTITUENT}uninstall ::
-	@if test ! "${CMTINSTALLAREA}" = ""; then \
-	  $(cmt_uninstall_action) \
+ifdef CMTINSTALLAREA
+	$(cleanup_silent) $(cmt_uninstall_action) \
 	    -source "$(PACKAGE_ROOT)/classes" \
 	    -name "$(${CONSTITUENT}installname)" \
 	    -out "$(install_dir)" \
-	    -cmtpath "$($(package)_cmtpath)" ; \
-	fi
+	    -cmtpath "$($(package)_cmtpath)"
+endif
 
 ${CONSTITUENT}clean ::
-	/bin/rm -rf $(javabin)/${CONSTITUENT}
-	/bin/rm -f $(javabin)/${CONSTITUENT}.jar
+	$(cleanup_silent) /bin/rm -rf $(javabin)/${CONSTITUENT}
+	$(cleanup_silent) /bin/rm -f $(javabin)/${CONSTITUENT}.jar
 
 #-- end of java_header ------
Index: /CMT/HEAD/mgr/fragments/library
===================================================================
--- /CMT/HEAD/mgr/fragments/library	(revision 440)
+++ /CMT/HEAD/mgr/fragments/library	(revision 441)
@@ -2,8 +2,8 @@
 
 ${CONSTITUENT}LIB :: $(${CONSTITUENT}lib) $(${CONSTITUENT}shstamp)
-	@/bin/echo "------> ${CONSTITUENT} : library ok"
+	$(echo) "${CONSTITUENT} : library ok"
 
 $(${CONSTITUENT}lib) :: ${OBJS}
-	$(lib_echo) library
+	$(lib_echo) "library $@"
 	$(lib_silent) cd $(bin); \
 	  $(ar) $(${CONSTITUENT}lib) $?
@@ -52,17 +52,17 @@
 
 ${CONSTITUENT}install :: $(install_dir)/$(${CONSTITUENT}installname)
-	@if test ! "${CMTINSTALLAREA}" = ""; then\
-	  echo "installation done"; \
-	fi
+ifdef CMTINSTALLAREA
+	$(echo) "installation done"
+endif
 
 $(install_dir)/$(${CONSTITUENT}installname) :: $(bin)$(${CONSTITUENT}installname)
-	@if test ! "${CMTINSTALLAREA}" = ""; then \
-	  $(cmt_install_action) \
+ifdef CMTINSTALLAREA
+	$(install_silent) $(cmt_install_action) \
 	    -source "`(cd $(bin); pwd)`" \
 	    -name "$(${CONSTITUENT}installname)" \
 	    -out "$(install_dir)" \
 	    -cmd "$(cmt_installarea_command)" \
-	    -cmtpath "$($(package)_cmtpath)" ; \
-	fi
+	    -cmtpath "$($(package)_cmtpath)"
+endif
 
 ##${CONSTITUENT}clean :: ${CONSTITUENT}uninstall
@@ -71,12 +71,11 @@
 
 ${CONSTITUENT}uninstall ::
-	@if test ! "${CMTINSTALLAREA}" = ""; then \
-	  $(cmt_uninstall_action) \
+ifdef CMTINSTALLAREA
+	$(cleanup_silent) $(cmt_uninstall_action) \
 	    -source "`(cd $(bin); pwd)`" \
 	    -name "$(${CONSTITUENT}installname)" \
 	    -out "$(install_dir)" \
-	    -cmtpath "$($(package)_cmtpath)" ; \
-	fi
-
+	    -cmtpath "$($(package)_cmtpath)"
+endif
 
 #-- end of libary -----------------------
Index: /CMT/HEAD/mgr/fragments/library_header
===================================================================
--- /CMT/HEAD/mgr/fragments/library_header	(revision 440)
+++ /CMT/HEAD/mgr/fragments/library_header	(revision 441)
@@ -7,5 +7,5 @@
 
 ${CONSTITUENT} :: dirs ${PROTOTARGET} ${CONSTITUENT}LIB
-	@/bin/echo "------> ${CONSTITUENT} ok"
+	$(echo) "${CONSTITUENT} ok"
 
 #-- end of libary_header ----------------
Index: /CMT/HEAD/mgr/fragments/library_no_share
===================================================================
--- /CMT/HEAD/mgr/fragments/library_no_share	(revision 440)
+++ /CMT/HEAD/mgr/fragments/library_no_share	(revision 441)
@@ -2,8 +2,8 @@
 
 ${CONSTITUENT}LIB :: $(${CONSTITUENT}lib)
-	@/bin/echo ${CONSTITUENT} : library ok
+	$(echo) "${CONSTITUENT} : library ok"
 
 $(${CONSTITUENT}lib) :: ${OBJS}
-	$(lib_echo) library
+	$(lib_echo) "library $@"
 	$(lib_silent) cd $(bin); \
 	  $(ar) $(${CONSTITUENT}lib) $?
@@ -34,17 +34,17 @@
 
 ${CONSTITUENT}install :: $(install_dir)/$(${CONSTITUENT}installname)
-	@if test ! "${CMTINSTALLAREA}" = ""; then\
-	  echo "installation done"; \
-	fi
+ifdef CMTINSTALLAREA
+	$(echo) "installation done"
+endif
 
 $(install_dir)/$(${CONSTITUENT}installname) :: $(bin)$(${CONSTITUENT}installname)
-	@if test ! "${CMTINSTALLAREA}" = ""; then \
-	  $(cmt_install_action) \
+ifdef CMTINSTALLAREA
+	$(install_silent) $(cmt_install_action) \
 	    -source "`(cd $(bin); pwd)`" \
 	    -name "$(${CONSTITUENT}installname)" \
 	    -out "$(install_dir)" \
 	    -cmd "$(cmt_installarea_command)" \
-	    -cmtpath "$($(package)_cmtpath)" ; \
-	fi
+	    -cmtpath "$($(package)_cmtpath)"
+endif
 
 ##${CONSTITUENT}clean :: ${CONSTITUENT}uninstall
@@ -53,11 +53,11 @@
 
 ${CONSTITUENT}uninstall ::
-	@if test ! "${CMTINSTALLAREA}" = ""; then \
-	  $(cmt_uninstall_action) \
+ifdef CMTINSTALLAREA
+	$(cleanup_silent) $(cmt_uninstall_action) \
 	    -source "`(cd $(bin); pwd)`" \
 	    -name "$(${CONSTITUENT}installname)" \
 	    -out "$(install_dir)" \
-	    -cmtpath "$($(package)_cmtpath)" ; \
-	fi
+	    -cmtpath "$($(package)_cmtpath)"
+endif
 
 ${CONSTITUENT}clean ::
Index: /CMT/HEAD/mgr/fragments/make_header
===================================================================
--- /CMT/HEAD/mgr/fragments/make_header	(revision 440)
+++ /CMT/HEAD/mgr/fragments/make_header	(revision 441)
@@ -99,5 +99,5 @@
 
 help ::
-	@echo '${CONSTITUENT}'
+	$(echo) '${CONSTITUENT}'
 
 binobj = 
@@ -106,5 +106,5 @@
 ${CONSTITUENT}::
 	@if test ! -d $(bin)$(binobj) ; then $(mkdir) -p $(bin)$(binobj) ; fi
-	@echo "STRUCTURED_OUTPUT="$(bin)$(binobj)
+	$(echo) "STRUCTURED_OUTPUT="$(bin)$(binobj)
 endif
 
Index: /CMT/HEAD/src/Makefile.core
===================================================================
--- /CMT/HEAD/src/Makefile.core	(revision 440)
+++ /CMT/HEAD/src/Makefile.core	(revision 441)
@@ -41,4 +41,21 @@
 #
 
+ifndef CMTMSGHDR
+CMTMSGHDR = \#CMT--->
+endif
+
+ifdef ECHO
+VERBOSE = 1
+endif
+
+ifndef VERBOSE
+QUIET = 1
+endif
+
+ifdef SILENT
+QUIET = 1
+MAKEFLAGS += --silent
+endif
+
 ifdef QUIET
 LEX_QUIET = 1
@@ -51,81 +68,98 @@
 LIB_QUIET = 1
 CLEANUP_QUIET = 1
+INSTALL_QUIET = 1
 silent = @
-echo = @/bin/echo 
+echo = @- echo "$(CMTMSGHDR)"
 else
 silent =
-echo = @- echo 
+echo = @- echo "$(CMTMSGHDR)"
 endif
 
 ifdef LEX_QUIET
 lex_silent = @
-lex_echo = @/bin/echo rebuilding 
+lex_echo = $(echo) building
 else
 lex_silent =
-lex_echo = $(echo)
+lex_echo = $(echo) building
 endif
 
 ifdef YACC_QUIET
 yacc_silent = @
-yacc_echo = @/bin/echo rebuilding 
+yacc_echo = $(echo) building
 else
 yacc_silent =
-yacc_echo = $(echo)
+yacc_echo = $(echo) building
 endif
 
 ifdef C_QUIET
 c_silent = @
-c_echo = @/bin/echo rebuilding 
+c_echo = $(echo) compiling
 else
 c_silent =
-c_echo = $(echo)
+c_echo = $(echo) compiling
 endif
 
 ifdef CPP_QUIET
 cpp_silent = @
-cpp_echo = @/bin/echo rebuilding 
+cpp_echo = $(echo) compiling
 else
 cpp_silent =
-cpp_echo = $(echo)
+cpp_echo = $(echo) compiling
 endif
 
 ifdef FORTRAN_QUIET
 fortran_silent = @
-fortran_echo = @/bin/echo rebuilding 
+fortran_echo = $(echo) compiling
 else
 fortran_silent =
-fortran_echo = $(echo)
+fortran_echo = $(echo) compiling
 endif
 
 ifdef JAVA_QUIET
 java_silent = @
-java_echo = @/bin/echo rebuilding 
+java_echo = $(echo) building
 else
 java_silent =
-java_echo = $(echo)
+java_echo = $(echo) building
 endif
 
 ifdef LINK_QUIET
 link_silent = @
-link_echo = @/bin/echo rebuilding 
+link_echo = $(echo) building
 else
 link_silent =
-link_echo = $(echo)
+link_echo = $(echo) building
 endif
 
 ifdef LIB_QUIET
 lib_silent = @
-lib_echo = @/bin/echo rebuilding 
+lib_echo = $(echo) building
 else
 lib_silent =
-lib_echo = $(echo)
+lib_echo = $(echo) building
 endif
 
 ifdef CLEANUP_QUIET
 cleanup_silent = @
-cleanup_echo = @/bin/echo removing 
+cleanup_echo = $(echo) removing
 else
 cleanup_silent =
-cleanup_echo = $(echo)
+cleanup_echo = $(echo) removing
+endif
+
+ifdef INSTALL_QUIET
+install_silent = @
+install_echo = $(echo) installing
+else
+install_silent =
+install_echo = $(echo) installing
+endif
+
+ifdef ECHO
+echo = @:
+endif
+
+ifdef SILENT
+echo = @:
 endif
 
Index: /CMT/HEAD/src/Makefile.header
===================================================================
--- /CMT/HEAD/src/Makefile.header	(revision 440)
+++ /CMT/HEAD/src/Makefile.header	(revision 441)
@@ -98,10 +98,10 @@
 
 $(cmt_constituents_makefile) : $(cmt_local_tagfile)
-	@echo "------> (Makefile.header) Rebuilding $@"; \
+	$(echo) "(Makefile.header) Rebuilding $@"; \
 	  if test ! -d $(@D) ; then $(mkdir) -p $(@D); fi; \
 	  $(cmtexe) -quiet -tag=$(tags) build constituents_makefile -out=$@; \
 	  retval=$$?; \
 	  if test $${retval} != 0; then \
-	  echo "#CMT> Error generating constituents makefile" >&2; \
+	  echo "#CMT> Error: $@: Cannot generate" >&2; \
 	  /bin/rm -f $@; fi; \
 	  exit $${retval}
@@ -112,10 +112,12 @@
 $(cmt_local_tagfile) :
 endif
-	@/bin/echo "------> (Makefile.header) Rebuilding $@"; \
+	$(echo) "(Makefile.header) Rebuilding $@"; \
 	  if test -f $@; then rm -f $@; fi; \
 	  if test ! -d $(@D); then $(mkdir) -p $(@D); fi; \
-	  echo CMTCONFIG=$(CMTCONFIG) ; \
-	  $(cmtexe) -quiet -tag=$(tags) build tag_makefile >$@ \
- 	  && /bin/echo $@ ok   
+	  $(cmtexe) -quiet -tag=$(tags) build tag_makefile >$@
+
+# 	  && /bin/echo $@ ok   
+#	$(echo) CMTCONFIG=$(CMTCONFIG) ; \
+#
 
 #
